## trelby 2.2

=== Makefile ===
PREFIX = $(DESTDIR)/usr

.PHONY : clean dist deb

dist: names.txt.gz dict_en.dat.gz manual.html trelby.1.gz
	python setup.py sdist

deb: dist
	debuild -us -uc -b

names.txt.gz: names.txt
	gzip -c names.txt > names.txt.gz

dict_en.dat.gz: dict_en.dat
	gzip -c dict_en.dat > dict_en.dat.gz

manual.html: doc/*
	make -C doc html && mv doc/manual.html .

trelby.1.gz: doc/*
	make -C doc manpage && mv doc/trelby.1.gz .

rpm: dist
	python setup.py bdist_rpm

clean:
	rm -f bin/*.pyc src/*.pyc tests/*.pyc names.txt.gz dict_en.dat.gz manual.html MANIFEST trelby.1.gz
	rm -rf build dist
	dh_clean

install: dist
	python setup.py install

test:
	cd tests && ./all.sh

=== doc/Makefile ===
XSLTPROC = xsltproc
GZIP = gzip -n -9

BOOK_HTML_TARGET = manual.html

BOOK_XML_SOURCE = manual.xml
BOOK_VERSION_SOURCE = version.xml
BOOK_ALL_SOURCE = *.xml

MANPAGE_SOURCE = refentry.xml
MANPAGE = trelby.1
MANPAGE_GZIP_TARGET = $(MANPAGE).gz

XSL_MANPAGE = /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XSL_HTML = html-stylesheet.xsl

# Book xsltproc options for HTML output
# Note: --stringparam arguments no longer go here; 
# see tools/html-stylesheet.xsl and tools/chunk-stylesheet.xsl
BOOK_HTML_XSLTPROC_OPTS = 

all: html manpage

clean: book-clean manpage-clean

html: $(BOOK_HTML_TARGET)

manpage: $(MANPAGE_GZIP_TARGET)

$(BOOK_HTML_TARGET): $(BOOK_ALL_SOURCE) $(BOOK_VERSION_SOURCE)
	$(XSLTPROC) $(BOOK_HTML_XSLTPROC_OPTS) \
           --output $(BOOK_HTML_TARGET) $(XSL_HTML) $(BOOK_XML_SOURCE)

$(MANPAGE_GZIP_TARGET): $(MANPAGE_SOURCE) $(BOOK_VERSION_SOURCE)
	$(XSLTPROC) --output $(MANPAGE) $(XSL_MANPAGE) $(MANPAGE_SOURCE)
	$(GZIP) $(MANPAGE)

book-clean:
	rm -f $(BOOK_HTML_TARGET)

manpage-clean:
	rm -f $(MANPAGE_GZIP_TARGET)

=== debian/changelog ===
trelby (2.2-1+git20161011mx19) mx; urgency=medium

  * Build for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 02 Jan 2021 15:48:03 -0500

trelby (2.2) unstable; urgency=low

  * New upstream release.

 -- Osku Salerma <osku.salerma@gmail.com>  Wed, 26 Sep 2012 16:00:00 +0000

trelby (2.1) unstable; urgency=low

  * New upstream release.

 -- Anil Gulecha <anil.verve@gmail.com>  Sun, 25 Mar 2012 16:00:00 +0000

trelby (2.0) unstable; urgency=low

  * Initial release.

 -- Anil Gulecha <anil.verve@gmail.com>  Mon, 2 Jan 2012 12:00:00 +0000

=== debian/control ===
Source: trelby
Section: python
Priority: extra
Maintainer: Anil Gulecha <anil.verve@gmail.com>
Build-Depends: debhelper (>= 8), python-all (>= 2.7), xsltproc, docbook-xsl, devscripts, fakeroot, python-mock, python-wxgtk3.0-dev
Standards-Version: 3.9.4
Homepage: http://www.trelby.org/

Package: trelby
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk3.0, python-crypto, python-lxml
Description: Feature-rich screenwriting program
 Trelby is a simple, powerful, full-featured, multi-platform program for
 writing movie screenplays. It is simple, fast and elegantly laid out to
 make screenwriting simple, and it is infinitely configurable.
 .
 Features:
 .
  * Screenplay editor: Enforces correct script format and pagination,
    auto-completion, and spell checking.
  * Multiplatform: Behaves identically on all platforms, generating the exact
    same output.
  * Choice of view: Multiple views, including draft view, WYSIWYG mode,
    and fullscreen to suit your writing style.
  * Name database: Character name database containing over 200,000 names
    from various countries.
  * Reporting: Scene/location/character/dialogue reports.
  * Compare: Ability to compare scripts, so you know what changed between
    versions.
  * Import: Screenplay formatted text, Final Draft XML (.fdx)
     and Celtx (.celtx).
  * Export: PDF, formatted text, HTML, RTF, Final Draft XML (.fdx).
  * PDF: Built-in, highly configurable PDF generator. Supports embedding your
    chosen font. Also supports generating PDFs with custom watermarks,
    to help track shared files.
  * Free software: Licensed under the GPL, Trelby welcomes developers and
    screenwriters to contribute in making it more useful.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_install:
	make names.txt.gz
	make dict_en.dat.gz
	make manual.html
	make trelby.1.gz
	mv trelby.1.gz doc/
	dh_auto_install --buildsystem=python_distutils \
            -- --prefix=/usr \
			   --install-data=/usr/share \
			   --install-lib /usr/share/trelby
